struct PlayerProfileView: View {
    var player: Player  

    var body: some View {
        HStack(spacing: 15) {
            Text("\(player.rank)")
                .font(.largeTitle)
                .fontWeight(.bold)
                .foregroundColor(.purple)
            
            Image(player.image)  
                .resizable()
                .aspectRatio(contentMode: .fill)
                .frame(width: 50, height: 50)
                .clipShape(Circle())
            
            Text(player.name.uppercased())
                .font(.title2)
                .fontWeight(.semibold)
            
            Spacer()
            
            Label(player.country, systemImage: "flag.fill")  
                .labelStyle(.titleAndIcon)
                .foregroundColor(.red)
        }
        .padding(.horizontal)
    }
}
